# порт http сервера для публикации метрик http://localhost:port/metrics
server:
  port: 8549

spring:
  # имя приложения
  application:
    name : notifier
  # профили логирования, console - вывод в консоль, file - вывод в файл
  profiles:
    active: file
  # подключение к БД для сохранения лога отправки NotifyLog
  datasource:
    url: jdbc:postgresql://localhost:5432/semdb?currentSchema=sem
    driver-class-name: org.postgresql.Driver
    username: user_postgres
    password: pwd_postgres
    hikari:
      # размер пула конектов
      maximum-pool-size: 30
      connection-timeout: 30000
      idle-timeout: 600000
      max-lifetime: 1800000
  jpa:
    database: default
    hibernate:
      ddl-auto: validate
    generate-ddl: false
    show-sql: false

# уровни логирования модулей
logging:
  level:
    root: INFO
    notification-listener: INFO
    expired-listener: INFO
    notification-sender: INFO
    emulator: INFO

# подключение к очередям JMS
artemis:
  broker-url: tcp://localhost:61616
  user: artemis
  password: SuperHot
  queue:
    # настройки очереди получения уведомлений
    notify:
      # адрес очереди
      destination: jms.queue.Notify
      # количество потоков мин-макс
      concurrency: 8-50
    # настройки очереди получения просроченных уведомлений
    expired:
      # адрес очереди
      destination: jms.queue.ExpiredNotifications
      # количество потоков мин-макс
      concurrency: 2-30

# эмулятор, предназначен для проверки работоспособности, в прод.среде должен быть выключен
emulator:
  enabled: false
  # получатели сообщений разных видов от эмулятора
  mail-recipient: emulator@infsys.ru
  telegram-recipient: 132450472
  sms-recipient: +79091234567
  push-recipient: PNS-space-apart-223344
  slack-recipient: slack-user-1

# настройки отправки сообщений
sender:
  # режим тестовой отправки, используется для тестирования, вместо реальной отправки логирует сообщения в лог
  test-mode: true

# настройки проверки производительности способов отправки сообщений
performance:
  # если true при старте приложения, осуществляется отправка сообщений и статистик выводится в лог (по умолчанию false)
  enabled: false
  # параметры проверки смс шлюзов
  sms:
    # количество сообщений отправляемых на каждый сконфигурированный смс шлюз
    count: 1
    # номера телефонов используемые при проверки производительности, используются по кругу если count > длины массива
    phones: +79161523743,+79165790043,+79267240503
